Compare two analyzed GPU profile captures behind an endpoint, for example before and after a rollout
GET
/
api
/
v1
/
endpoints
/
{name}
/
gpu-profiles
/
compare
Compare two analyzed GPU profile captures behind an endpoint, for example before and after a rollout
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"base": {
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
},
"categories": [
{
"base_ms_per_s": 1,
"base_share": 0.5,
"category": "attention",
"head_ms_per_s": 1,
"head_share": 0.5
}
],
"head": {
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
},
"kernels": [
{
"base_ms_per_s": 1,
"category": "attention",
"head_ms_per_s": 1,
"name": "<string>"
}
],
"metrics": [
{
"base": 123,
"better": "higher",
"delta": 123,
"head": 123,
"improved": true,
"label": "<string>",
"metric": "<string>",
"unit": "<string>"
}
],
"warnings": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Query Parameters
Response
Success
⌘I
Compare two analyzed GPU profile captures behind an endpoint, for example before and after a rollout
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles/compare"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"base": {
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
},
"categories": [
{
"base_ms_per_s": 1,
"base_share": 0.5,
"category": "attention",
"head_ms_per_s": 1,
"head_share": 0.5
}
],
"head": {
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
},
"kernels": [
{
"base_ms_per_s": 1,
"category": "attention",
"head_ms_per_s": 1,
"name": "<string>"
}
],
"metrics": [
{
"base": 123,
"better": "higher",
"delta": 123,
"head": 123,
"improved": true,
"label": "<string>",
"metric": "<string>",
"unit": "<string>"
}
],
"warnings": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}